Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.types
Class Schema

    java.lang.Object
      org.apache.axis.types.Schema

All Implemented Interfaces:
  Serializable

public class Schema
extends Object
implements Serializable

Custom class for supporting XSD schema

Author:
  Davanum Srinivas
See Also:
  Serialized Form

Constructor Summary
`Schema()`

Method Summary
`boolean` | `equals(Object obj)`
`SOAPElementAxisImpl[]` | `get_any()`
`static Deserializer` | `getDeserializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`Id` | `getId()`
`static Serializer` | `getSerializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`URI` | `getTargetNamespace()`
`static TypeDesc` | `getTypeDesc()` Return type metadata object
`NormalizedString` | `getVersion()`
`int` | `hashCode()`
`void` | `set_any(SOAPElementAxisImpl[] _any)`
`void` | `setId(Id id)`
`void` | `setTargetNamespace(URI targetNamespace)`
`void` | `setVersion(NormalizedString version)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Schema

    public Schema()

Method Detail

### get_any

    public SOAPElementAxisImpl[] get_any()

### set_any

    public void set_any(SOAPElementAxisImpl[] _any)

### getTargetNamespace

    public URI getTargetNamespace()

### setTargetNamespace

    public void setTargetNamespace(URI targetNamespace)

### getVersion

    public NormalizedString getVersion()

### setVersion

    public void setVersion(NormalizedString version)

### getId

    public Id getId()

### setId

    public void setId(Id id)

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static Serializer getSerializer(String mechType,
                                           Class _javaType,
                                           javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static Deserializer getDeserializer(String mechType,
                                               Class _javaType,
                                               javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.